%define name lavaps
%define version 1.10
%define release 2mdk

Summary: a lava lamp of currently running processes
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Monitoring
URL: http://www.isi.edu/~johnh/SOFTWARE/LAVAPS
Source0: %{name}-%{version}.tar.bz2
Source1: lavaps.menu
BuildRoot: /var/tmp/%{name}-buildroot

%description
Lavaps is an interactive process-tracking program like ``top'', but
with a much different attitude.  Rather than presenting lots of
specific info in digital form, it tries to present certain important
information in a graphical analog form.  The idea is that you can run
it in the background and get a rough idea of what's happening to your
system without devoting much concentration to the task.


%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/lavaps

%files
%defattr(-,root,root)
%doc README
%doc COPYING
/usr/bin/*
/usr/man/man1/*
/usr/lib/menu/*

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun

if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.10-2mdk
- bzip2 archive
- fix permission on spec

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10-1mdk
- mandrake version

